Bug 31818 - Обновить до 2.0 (не работает по-умолчанию с новым openssh)
: Обновить до 2.0 (не работает по-умолчанию с новым openssh)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perl-Net-SSH-Perl)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2016-02-18 16:29 by
Modified: 2016-02-25 14:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-02-18 16:29:30
История в bug 31811.

No matching cipher found: client 3des-cbc,blowfish-cbc,arcfour server
aes256-gcm@openssh.com,aes128-gcm@openssh.com,aes256-ctr,aes192-ctr,aes128-ctr,chacha20-poly1305@openssh.com
at /usr/share/perl5/Net/SSH/Perl/SSH2.pm line 92

В BuildRequires надо добавить следующий список модулей:

perl-BSD-arc4random perl-Net-SSH perl-Crypt-OpenSSH-ChachaPoly
perl-Crypt-OpenSSL-AES perl-Crypt-Curve25519 perl-Crypt-Ed25519
perl-IO-Socket-Socks

В Сизиф сейчас задание с ними приготовлю. В принципе, perl-Net-SSH-Perl 2.0
могу в него же добавить.
------- Comment #1 From 2016-02-18 19:38:55 -------
Crypt-OpenSSH-ChachaPoly и с новым Perl проблемы создал: на i586 тест не
проходит:

Test Summary Report
-------------------
t/Crypt-OpenSSH-ChachaPoly.t (Wstat: 65280 Tests: 1 Failed: 0)
  Non-zero exit status: 255
  Parse errors: Bad plan.  You planned 3 tests but ran 1.

Так что сложности с обновлением пока. Остальное всё собралось.
------- Comment #2 From 2016-02-22 15:42:55 -------
Некоторые подробности. На CPAN висит баг
https://rt.cpan.org/Public/Bug/Display.html?id=110379
про поддержку AES со ссылкой на https://github.com/lkinley/Net-SSH-Perl
То есть, на github-е репозитарий не того же автора, что на CPAN
Плюс есть ещё https://github.com/renormalist/Net-SSH-Perl, на основе
репозитария Lance Kinley (lkinley).

Озвученный ранее набор модулей (плюс perl-Crypt-OpenBSD-Blowfish) требуется для
сборки из репозитария от Steffen Schwigon (renormalist), для сборки из
репозитария lkinley сейчас требуется другой дополнительный список:
perl-IO-Socket-Socks perl-CryptX perl-Crypt-OpenSSH-ChachaPoly
perl-Crypt-Curve25519 perl-Crypt-Ed25519 (сокращён за счёт перехода на
perl-CryptX). Все дополнительные модули сейчас уже в Сизифе.

Что касается самого perl-Net-SSH-Perl. Ни вариант от Lance Kinley, ни вариант
от Steffen Schwigon по-умолчанию не работают, как и 1.42. Так же приходится
чиперы выбирать в конфиге sshd.

Соответственно, пара вопросов. Стоит ли делать обновление с github, или ждать
CPAN ? Стоит ли обновлять сейчас, или добиться, всё же, работоспособности
по-умолчанию ?
------- Comment #3 From 2016-02-22 16:05:06 -------
(In reply to comment #2)

> Некоторые подробности. На CPAN висит баг
> https://rt.cpan.org/Public/Bug/Display.html?id=110379
> про поддержку AES со ссылкой на https://github.com/lkinley/Net-SSH-Perl
> То есть, на github-е репозитарий не того же автора, что на CPAN
> Плюс есть ещё https://github.com/renormalist/Net-SSH-Perl, на основе
> репозитария Lance Kinley (lkinley).

Так, стоп. В README автор David Robins, а вот на CPAN последний (1.42)
Net-SSH-Perl лежит как раз таки у Steffen Schwigon.
------- Comment #4 From 2016-02-22 17:24:45 -------
(В ответ на комментарий №1)
> Crypt-OpenSSH-ChachaPoly и с новым Perl проблемы создал: 

Нового perl нет, это я только test-only пробовал.
там надо все модули с ним пересобирать, если пытаться в Сизиф выкладывать.
------- Comment #5 From 2016-02-22 18:13:51 -------
(In reply to comment #4)

> > Crypt-OpenSSH-ChachaPoly и с новым Perl проблемы создал: 
> 
> Нового perl нет, это я только test-only пробовал.

Я имел ввиду тот, что в Сизифе сейчас. Относительно p7-то он новый. :-)
Но задание 159701 неплохо бы дособрать, чтобы посмотреть, спасёт ли от bug
31821.
------- Comment #6 From 2016-02-22 18:39:24 -------
(В ответ на комментарий №5)
> (In reply to comment #4)
> задание 159701 неплохо бы дособрать, чтобы посмотреть, спасёт ли от bug
> 31821.

там не просто:(
------- Comment #7 From 2016-02-22 22:29:55 -------
(In reply to comment #2)

> Что касается самого perl-Net-SSH-Perl. Ни вариант от Lance Kinley, ни вариант
> от Steffen Schwigon по-умолчанию не работают, как и 1.42. Так же приходится
> чиперы выбирать в конфиге sshd.

Или не sshd. Можно делать как-то так:
my $ssh = Net::SSH::Perl->new($server, ciphers => 'aes256-ctr,3des-cbc');

По-умолчанию, похоже, perl-Net-SSH-Perl использует
chacha20-poly1305@openssh.com, и в нём проблема
(https://github.com/lkinley/Net-SSH-Perl/issues/2). В принципе, наверное, можно
chacha20-poly1305@openssh.com вообще убрать из perl-Net-SSH-Perl пока, только
вот из какого репозитария его собрать...

В задании 159734 сейчас вариант Lance Kinley.
------- Comment #8 From 2016-02-24 01:00:41 -------
(In reply to comment #7)

> В задании 159734 сейчас вариант Lance Kinley.

Теперь работает, Lance Kinley починил работу Chacha на i586. Обновляем ? Или,
всё же, будем CPAN ждать ?
------- Comment #9 From 2016-02-24 01:13:18 -------
поддерживаю
------- Comment #10 From 2016-02-24 16:36:19 -------
* Mon Feb 22 2016 Sergey Y. Afonin <asy@altlinux.ru> 2.01-alt1
- NMU
- new version (Closed #31818; switched to
  http://github.com/lkinley/Net-SSH-Perl instead of CPAN)
------- Comment #11 From 2016-02-25 14:25:43 -------
2.01-alt1 в Сизифе.